Name: linstor-client
Version: 1.14.0
Release: 0
Summary: Linstor SDS client utility
License: GPL-3.0-only
URL: https://github.com/LINBIT/linstor-client
Source: https://pkg.linbit.com//downloads/linstor/%{name}-%{version}.tar.gz

BuildRequires: python3
BuildRequires: python3-setuptools
BuildRequires: python-linstor

Requires: python-linstor >= %{version}

%define __python %{__python3}

%description
User space client to ease DRBD9 resource management.

%prep
%setup -q

%build
%{python} setup.py build

%install
%{python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.md
%_bindir/*
%python_sitelib/*
%_sysconfdir/bash_completion.d/*

%changelog
